Initiate Multipart Upload
const url = 'https://example.com/storage/v1/workspaces/example/engines/example/buckets/example/multipart-uploads';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"workspace":"example","engine":"example","bucket":"example","object_key":"example","content_type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/storage/v1/workspaces/example/engines/example/buckets/example/multipart-uploads \ --header 'Content-Type: application/json' \ --data '{ "workspace": "example", "engine": "example", "bucket": "example", "object_key": "example", "content_type": "example" }'Starts a new multipart upload on the given cloud provider and returns an upload ID.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The workspace the bucket belongs to
The cloud provider to initiate the upload on: qibdo, aws, gcp, or azure
The bucket to initiate the upload in
Request Body required
Section titled “Request Body required ”InitiateMultipartUploadRequest
Request message for InitiateMultipartUpload. Carries the parent workspace and bucket, the target cloud provider, the object key, and an optional content type.
object
The workspace the bucket belongs to
The cloud provider to initiate the upload on: qibdo, aws, gcp, or azure
The bucket to initiate the upload in
The object key for the multipart upload
Optional MIME type for the final object
Example generated
{ "workspace": "example", "engine": "example", "bucket": "example", "object_key": "example", "content_type": "example"}Responses
Section titled “ Responses ”OK
InitiateMultipartUploadResponse
Response message for InitiateMultipartUpload. Carries the generated upload ID, the object key, and the bucket name.
object
The generated upload ID
The object key
The bucket name
Example generated
{ "upload_id": "example", "object_key": "example", "bucket": "example"}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}